<template>
	<view class="container">
		<!-- 自定义头部导航栏 -->
		<ZdyNavbar :type="data.type" :scrollTop="data.scrollTop"/>
		<ZdyHeader :type="data.type" />
		<callList :type="data.type"></callList>
		<tabbar :type="data.type" />
	</view>
</template>

<script setup>
	import ZdyNavbar from "@/components/call-log/nav-bar/nav-bar.vue"
	import ZdyHeader from "@/components/call-log/header/header.vue"
	import callList from "@/components/call-log/list/list.vue"
	import tabbar from "@/components/call-log/tabbar/tabbar.vue"


	import { ref, reactive, watch, nextTick, getCurrentInstance } from "vue";
	import { onLoad, onShow, onReady, onPageScroll, onReachBottom } from "@dcloudio/uni-app";
	const { appContext, proxy } = getCurrentInstance();
	const data = reactive({
		type: 'vivo',
		scrollTop:0
	})

	onLoad((option) => {

	})
	onReady(() => {

	})
	onShow(() => {})
	onPageScroll((e) => {
		console.log(e)
		data.scrollTop=e.scrollTop

	})
	onReachBottom(() => {

	})
</script>

<style lang="scss" scoped>

</style>